/*
 * Driver include for the RICOH5B Tuner chip.
 *
 * Copyright 2015, 2016 SONY Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef  _RICOH5B_FM_CMD_H
#define  _RICOH5B_FM_CMD_H

/******************************************************************************/
/* include file                                                               */
/******************************************************************************/
#include "ricoh5b_fm_define.h"

int ricoh5b_fm_send_set_band(unsigned short freq, RICOH5B_VOLUME gain);         /* set FM band and frequency  2        */
int ricoh5b_fm_send_set_freq(unsigned short freq, RICOH5B_SEEK_STATUS seek);    /* set frequency              1        */

unsigned short fm_calculate_freq_val_set(unsigned short freq_val);

#endif  /* _RICOH5B_FM_CMD_H */

/* end of ricoh5b_fm_cmd.h */
